Update organization member
Updates organization member role.
PATCH
/
v1
/
organizations
/
{organizationId}
/
members
/
{userId}
Update organization member
curl --request PATCH \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/members/{userId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/members/{userId}"
payload = {}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/members/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": {
"userId": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"joinedAt": "2023-11-07T05:31:56Z"
}
}{
"status": 400,
"error": "<string>"
}Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the organization the member is part of.
ID of the user to patch
Body
application/json
Role of the member in the organization.
Available options:
admin, developer Last modified on June 22, 2026
Was this page helpful?
⌘I
Update organization member
